Subject: comment on draft-ietf-secsh-transport-16.txt

From: Eric Huss <[email-masked]>
Date: Thu, 23 Oct 2003 15:40:18 -0700 (PDT)

There appears to be a typo in this draft.

Then penultimate paragraph in section 5.2 (Output from Key Exchange) has
the following sentence:

If the key length in longer than the output of the HASH, the key is
extended by computing HASH of the concatenation of K and H and the entire
key so far, and appending the resulting bytes (as many as HASH generates)
to the key.

I assume it should be:

If the key length needed is longer than the output of the HASH, the key is
extended by computing HASH of the concatenation of K and H and the entire
key so far, and appending the resulting bytes (as many as HASH generates)
to the key.

(just replacing "length in longer" with "length needed is longer").

-Eric